Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault
Interface VaultSegmentConfig

    public interface VaultSegmentConfig

Describes the configuration of a Vault Segment. This interface is used to return information on available Credential Vault Segments. Use the `CredentialVaultService` to retrieve such information.

Since:
  6.0

Method Summary
`java.lang.String` | `getDescription()` Returns the Description of this Vault Segment.
`java.lang.String` | `getName()` Returns the name of this Vault Segment.
`ObjectID` | `getPortalObjectID()` Returns the `com.ibm.portal.ObjectID` of this Vault Segment.
`int[]` | `getSupportedSecretTypes()` Returns an array of integers of the supported Secret Types for this segment.
`java.lang.String` | `getVaultAdapterType()` Returns the Adapter Type String for this Vault Segment.
`boolean` | `isUserMapped()` Returns whether this Vault Segment is user mapped or not.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of this Vault Segment.

  Returns:
    name of this Vault Segment

### getPortalObjectID

    ObjectID getPortalObjectID()

  Returns the `com.ibm.portal.ObjectID` of this Vault Segment.

  Returns:
    ObjectID of this Vault Segment

### getDescription

    java.lang.String getDescription()

  Returns the Description of this Vault Segment. This method returns `null` if no description is available..

  Returns:
    Description of this VaultSegment, or `null`.

### isUserMapped

    boolean isUserMapped()

  Returns whether this Vault Segment is user mapped or not.

  Returns:
    `true` if this Vault Segment is user mapped, `false` otherwise.

### getVaultAdapterType

    java.lang.String getVaultAdapterType()

  Returns the Adapter Type String for this Vault Segment.

  Returns:
    Vault Adapter Type for this Segment

### getSupportedSecretTypes

    int[] getSupportedSecretTypes()

  Returns an array of integers of the supported Secret Types for this segment. Credential Information is identified by Secret Types, and are defined as constants in the portlet service class `CredentialVaultService`. Vaults may only support a subset of all available Secret Types, so this method returns the supported Secret Types for this segment.

  Returns:
    an array of supported secret types as integer values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD